html {
	height: 100%;
	height: 100dvh;

	width: 100%;

	font-size: clamp(10px, 6px + 2vw, 14px);
	overflow: hidden;
}

:root{
	--w: #eee;
	--gw: #bbb;
	--lg: #888;
	--g: #777;
	--dg: #555;
	--gb: #444;
	--b: #222;
}

body {
	position: absolute;
	
	background: url(FrogEclipse.jpg), #222;
	background-position: center;
	background-repeat: no-repeat;
	background-size: cover;

	
	font-family: Noto Sans Mono;

	margin: 0;
	width: 100%;
	height: 100%;
	
	color: var(--w);
}

main {
	width: 22.8rem;

	display: grid;
	grid-template-columns: 7.8rem 15rem;
	grid-template-rows: 3rem 28rem;

	margin: auto;
	margin-block-start: clamp(1.5rem, (50vw - 13rem), 4rem);

	background: rgba(34, 34, 34);
	box-shadow: 0 0 1.6rem 1.6rem rgba(34, 34, 34);
}

#box {
	--s: 2rem; /* the size on the corner */
	--t: 0.3rem;  /* the thickness of the border */
	--p: 0.3rem; /* border space */
	--w: calc(22.8rem + 2 * var(--p)); /* width of the box */
	--h: calc(31.1rem + 2 * var(--p));

	padding: var(--t);
	outline: var(--t) solid var(--lg); /* the color here */
	outline-offset: calc(-1*var(--t));
	mask:
		conic-gradient(at var(--s) var(--s),#0000 75%,#000 0) 0 0/calc(100% - var(--s)) calc(100% - var(--s)),
		conic-gradient(#000 0 0) content-box;

	height: var(--h);
	width: var(--w);
	position: absolute;
	inset: calc(clamp(1.5rem, (50vw - 13rem), 4rem) - var(--t) - var(--p)) calc(50% - (var(--w) / 2) - var(--t));
	
	clip-path: polygon(0 0, 0 101%, 100% 100%, 100% 0, 0 0, 
    calc(50% - (var(--w) + 0.1rem) / 2) calc(50% - (var(--h) + 0.1rem) / 2),
    calc(50% + (var(--w) + 0.1rem) / 2) calc(50% - (var(--h) + 0.1rem) / 2),
    calc(50% + (var(--w) + 0.1rem) / 2) calc(50% + (var(--h) + 0.1rem) / 2),
    calc(50% - (var(--w) + 0.1rem) / 2) calc(50% + (var(--h) + 0.1rem) / 2),
    calc(50% - (var(--w) + 0.1rem) / 2) calc(50% - (var(--h) + 0.1rem) / 2));
}

#bar {
	grid-column: 2 / 2;
	grid-row: 1 / 1;

	display: flex;
	justify-content: space-between;

	padding: 0.5rem;
}

#data {
	grid-column: 1 / 1;
	grid-row: 1 / 3;

	display: flex;
	flex-direction: column;

	justify-content: space-between;
}

#info {
	grid-column: 2 / 2;
	grid-row: 2 / 2;
}

h1 {
	font-size: 1.6rem;
	font-weight: 700;
	color: var(--dg);

	margin: 0;
}

@property --dgd{
	syntax: '<percentage>';
	inherits: false;
	initial-value: 100%;
}

#menu {
	background: linear-gradient(to right, var(--lg) var(--dgd), var(--b) var(--dgd));
	color: var(--b);

	font-size: 1.2rem;
	font-weight: 700;
	line-height: 2rem;
	text-align: end;

	padding-inline: 0.5rem;

	width: 1.5rem;
	height: 2rem;
}

#menu:hover {
	--dgd: 35%;
	color: var(--lg);

	cursor: pointer;
}

#t1, #t2 {
	background: black;
	border: 0.15rem solid;
	border-image: linear-gradient(to top, var(--w), transparent) 1;

	width: 6.6rem;

	margin: 0.5rem;
}

#t1 {
	height: 10rem;
}

#t2 {
	height: 9.7rem;
}

#t1.w0::after, #t2.w0::after {
	content: "*";
	font-size: 1.5rem;
	margin: 0;
	padding: 0;
	display: block;
	position: relative;
	inset: 4.35rem 5.25rem;
	width: fit-content;
}

#t2.w0::after{
	inset-block: 4rem; 
}

h4 {
	font-weight: 400;
	font-size: 1rem;
	text-align: center;

	height: 1.9rem;
	line-height: 1.9rem;

	margin: 0;
	border-block-start: 0.15rem solid var(--w);

	position: relative;

	background: var(--b);
}

#t1 h4{
	inset-block-start: 7.95rem;
}
#t2 h4{
	inset-block-start: 7.65rem;
}

#t2.w1 {
	height: 3rem;
	border: 0.15rem solid var(--lg);
}

#t2.w1 h4 {
	height: calc(3rem - 1em);
	inset-block-start: 0;
	border: none;
	padding: 0.5em;

	color: var(--gw);
	font-size: 0.7rem;
	font-weight: 300;
	letter-spacing: -0.05em;
	line-height: 1em;

	background: var(--b);

	display: flex;
	align-items: center;
}

#t1.w1 {
	height: 16.7rem;
}

#t1.w1 h4 {
	inset-block-start: 14.65rem;
}

#t2.w2 {
	height: 0.15rem;
	width: 6.85rem;

	border-image: none;
	border-color: var(--b);

	margin-block-start: 0.4rem;
	
	background: #f20 !important;
}
#t2.w2 h4 {
	height: 0;
	border: 0 solid;
	font-size: 0;
	line-height: 0.5rem;
	inset-block-start: 0;
	color: transparent;
	
	color: #f20;
}
#t1.w2 {
	height: 19.65rem;
	border: 0.15rem solid #f20;
	background: linear-gradient(to top, #300, #200 50%) !important;
}
#t1.w2 h4 {
	border: 0 solid transparent;
	inset-block-start: 0;
	height: 20rem;
	background: transparent;
	color: #f20;
	font-size: 0.8rem;
	
	line-height: 1.5em;

	display: flex;
	align-items: center;
}


h6 {
	font-weight: 400;
	font-size: 0.8rem;
	color: var(--dg);

	text-align: end;
	padding: 0.5rem;
	margin: 0 0 0.2rem 0;
}

h3 {
	margin: 0.5rem;
	border: 0.2rem solid var(--g);
	padding-inline-end: 3.5rem;

	width: calc(100% - 0.5rem);
	height: 5.1rem;

	color: var(--g);
	font-size: 2.4rem;
	line-height: 4.7rem;
	font-weight: 700;
	text-align: center;
}

img {
	display: none;
}

#slider {
	display: none;
}

#ui {
	background: var(--dg);
	width: calc(100% - 1rem);

	margin: 0.5rem;
	margin-block-start: 0;
}

#ui > *{
	padding: 0.5rem;
}

#control {
	border-block-end: 0.3rem solid var(--b);
	margin-block-end: 0.3rem;

	display: flex;
}

#stats {
	border-block-start: 0.3rem solid var(--b);

	height: 17.5rem;
	display: flex;
	flex-direction: column;
	justify-content: space-around;

	background: linear-gradient(to bottom, var(--gb), var(--dg));
}

#mass {
	width: 6rem;
	height: 4.5rem;
	
	background: var(--b);
	color: var(--w);

	border: none;
	padding: 0;

	font-family: Noto Sans Mono;
	font-size: 2rem;
	font-weight: 600;

	text-align: center;
}

label {
	font-size: 2rem;
	font-weight: 600;

	flex: 1;
	text-align: center;
	line-height: 4.5rem;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

input[type=number] {
  -moz-appearance: textfield;
  appearance: textfield;
}

p {
	padding: 1.1rem 1.2rem 1.4rem 1.2rem;
	margin: 0;

	font-size: 1rem;
	font-weight: 400;

	display: none;
	justify-content: space-between;
}

.letter, .dash {
	display: none;
}

.intro {
	display: block;
	
	font-size: 0.9rem;

	text-align: justify;
	text-indent: 0.5em;
	padding: 0 0.6rem 0.5rem 0.6rem;
}

#dial {
	display: none;
}

#version {
	text-decoration: none;
	font-size: 1rem;
	color: var(--dg);

	padding-inline: 1rem;

	position: relative;
	float: inline-end;
	letter-spacing: 0.2em;
}

#version:hover {
	letter-spacing: 0.25em;
}

#support {
	text-decoration: none;
	color: var(--w);
	font-size: 1.2rem;

	display: block;
	width: fit-content;
	margin: auto;

	font-weight: 400;

	background: rgba(34, 34, 34, 0.5);
	box-shadow: 0 0 0.5rem 0.5rem rgba(34, 34, 34, 0.5);
}

#support:hover {
	font-weight: 700;
	letter-spacing: 0.05em;
}

#hint {
	display: none;
	margin: auto;
	padding: 0.5rem;
	font-size: 1.2rem;
	width: fit-content;
	letter-spacing: 0.25em;
	font-weight: 500;
	color: var(--dg);
}

@media (pointer: coarse) {
	#hint {
		display: block;
	}
}

#extra {
	background: rgba(34, 34, 34, 0.75);
	position: absolute;

	width: 100%;
	height: 100%;

	display: none;

	z-index: 3;
}

#about {
	background: linear-gradient(to top, var(--dg) -25%, var(--b) 125%);

	width: 23rem;
	height: 34.6rem;

	margin: auto;
	padding: 0.5rem;
	position: relative;
	inset-block-start: calc(clamp(1.5rem, (50vw - 13rem), 4rem) - 0.6rem);
	
	border-block-end: 0.2rem solid var(--gw);

	display: grid;
	grid-template-columns: 1fr 1fr 4.1rem;
	grid-template-rows: 4.1rem 1fr 1.9rem;
}

#about p{
	padding: 0.5rem;
	display: block;
}

#set {
	display: flex;
	justify-content: space-around;
	padding-block: 1rem 0.5rem;
	writing-mode: tb-rl;
	rotate: 180deg;

	grid-row: 2 / 4;
	grid-column: 3 / 4;
}

#set p {
	font-size: 1.2rem;
}

.mode:hover{
	cursor: pointer;
}
.select{
	background: #ddd;
	color: #333;
	font-weight: 800;
	font-size: 1.3rem !important;
	line-height: 1.5rem;
}

#about a{
	color: var(--w);
	padding: 0.5rem;
}
#about a:before{
	content: ":";
	display: inline-block;
	text-decoration: none;
	color: var(--w);
}

#text{
	text-align: justify;

	grid-column: 1 / 3;
}


h5 {
	margin: 0;
	padding: 1.5rem 0 0.5rem 1.5rem;
	font-size: 1.5rem;
	grid-row: 1 / 1;
	grid-column: 1 / 4;
}

#links {
	grid-row: 3 / 3;
	grid-column: 1 / 3;
}

#ad {
	width: 100%;
	height: 25%;
	position: absolute;
	inset-block-end: 0;
}

#ad > *{
	max-width: 90rem;
	margin: auto;
}